# Neofetch 1.8

### Contributers

- **[@hashhar](https://github.com/hashhar)**
- **[@williamkray](https://github.com/williamkray)**
- **[@dar-irl](https://github.com/dar-irl)**
- **[@gabe565](https://github.com/gabe565)**
- **[@maddcoder](https://github.com/maddcoder)**
- **[@iandrewt](https://github.com/iandrewt)**

### General

- Only call `tput` when we really need to.
- Supress `getconfig` and `getscriptdir` errors.
- Fix issue when title and background were both color `7`.
- Fix issues with `bc` and the scale option. **[@maddcoder](https://github.com/maddcoder)**
- Added `--version` to print the neofetch version.
- The title at the top is now much more colorful.


### OS

- Added support for Devuan Linux.


### Terminal and Terminal Font

![img](https://ipfs.pics/ipfs/QmbAJRzx3so9d2NUGskdYYk3fXpqMk7eXPqEimwLXNYLu2)

- Added `term` function to display current terminal emulator. \[1\]
- Added `termfont` function to display current terminal font. \[2\]


\[1\] Both of these functions are enabled by default.

\[2\] See this wiki page for more info about the functions: [Link](https://github.com/dylanaraps/neofetch/wiki/Terminal-and-Terminal-Font-detection)


### Info

- Use faster `$(())` syntax for index variables.

**Color Blocks**<br \>

- Added `--block_height` / `$block_height` to change the number of lines high each<br \>
block will be.

![Big Blocks](https://ipfs.pics/ipfs/QmZpR8ukZNfGXkhXjTwAy3eWVRCeHdrurhgAdV5CSiTVvR)


**Resolution**<br \>

- [Windows] Fix resolution on Windows 10. **[@dar-irl](https://github.com/dar-irl)**


**Shell**<br \>

- Show `fish` shell version. **[@maddcoder](https://github.com/maddcoder)**


**Song**<br \>

- [Cmus] Prevent `tag artistsort` from showing up in song title. **[@williamkray](https://github.com/williamkray)**
- [Cmus] Fix order of music tags. **[@iandrewt](https://github.com/iandrewt)**
- [iTunes] Fix song not displaying. **[@iandrewt](https://github.com/iandrewt)**


### Image

- [Shuffle] Fixed directory going out of bounds causing a fallback to ascii mode. **[@gabe565](https://github.com/gabe565)**
- Added `--crop_mode none` / `crop_mode=none` to disable cropping the images.
- Added `--size none` / `size=none` to disable resizing / cropping the images.


### Ascii

- Add `ascii_bold` which allows you to bold the ascii art.
- Better `Ubuntu-GNOME` ascii art. **[@hashhar](https://github.com/hashhar)**
- Fix a color issue with Debian's ascii logo.
- Added `--ascii_distro mac` as a shorter way of using the OS X ascii.

